package javax.xml.stream.util;

import javax.xml.stream.XMLStreamException;
import javax.xml.stream.events.XMLEvent;
import javax.xml.stream.XMLStreamReader;

public interface XMLEventAllocator
{
    public abstract XMLEventAllocator newInstance();
    
    public abstract XMLEvent allocate(XMLStreamReader p0) throws XMLStreamException;
    
    public abstract void allocate(XMLStreamReader p0, XMLEventConsumer p1) throws XMLStreamException;
}
